## com.ibm.lab.soln.editor.ui.actions
Class MiniSpreadsheetEditorAction

    java.lang.Object
      |
      +--org.eclipse.jface.action.Action
            |
            +--com.ibm.lab.soln.editor.ui.actions.MiniSpreadsheetEditorAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

Direct Known Subclasses:
  AppendRowAction, ChangeAlignmentAction, ClearAllAction, RemoveRowAction, ShowTotalAction

public class MiniSpreadsheetEditorAction
extends org.eclipse.jface.action.Action

Common superclass for all mini-spreadsheet editor actions.

Field Summary
`MiniSpreadsheetEditor` | `editor`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, CHECKED, DESCRIPTION, ENABLED, IMAGE, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`MiniSpreadsheetEditorAction()`

Method Summary
`MiniSpreadsheet` | `getMiniSpreadsheet()`
`void` | `selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)`
`void` | `setActiveEditor(MiniSpreadsheetEditor editor)`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removeAcceleratorText, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    public MiniSpreadsheetEditor editor

Constructor Detail

### MiniSpreadsheetEditorAction

    public MiniSpreadsheetEditorAction()

Method Detail

### getMiniSpreadsheet

    public MiniSpreadsheet getMiniSpreadsheet()

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)

### setActiveEditor

    public void setActiveEditor(MiniSpreadsheetEditor editor)